NRGARP(8)

NAME
nrgarp - address resolution display and control which permits the specification of an interface name

SYNOPSIS
arp [-n] hostname
arp [-n] -a
arp -d hostname [proxy]
arp -d -a
arp -s hostname ether_addr [temp] [pub] [ifname]
arp -S hostname ether_addr [temp] [pub] [ifname]
arp -f filename

DESCRIPTION
The nrgarp program displays and modifies the Internet-to-Ethernet address translation tables used by the address resolution protocol (arp(4)). With no flags, the program displays the current ARP entry for hostname. The host may be specified by name or by number, using Internet dot notation.

Available options:

-a  The program displays or deletes all of the current ARP entries.

-d  A super-user may delete an entry for the host called hostname with the -d flag.

-n  Show network addresses as numbers (normally nrgarp attempts to display addresses symbolically).

-s hostname ether_addr
    Create an ARP entry for the host called hostname with the Ethernet address ether_addr. The Ethernet address is given as six hex bytes separated by colons. The entry will be permanent unless the word temp is given in the command. If the word pub is given, the entry will be "published"; i.e., this system will act as an ARP server, responding to requests for hostname even though the host address is not its own. In this case the ether_addr can be given as `auto'' in which case the interfaces on this host will be examined, and if one of them is found to occupy the same subnet, its ether_addr will be used. If the word ifname is given, the mapping will only be installed on the specified interface.

-S hostname ether_addr
    Is just like -s except any existing arp entry for this host will be deleted first.

-f  Causes the file filename to be read and multiple entries to be set in the ARP tables. Entries in the file should be of the form

    hostname ether_addr [temp] [pub] [ifname]

    with argument meanings as given above.

SEE ALSO
inet(3), arp(4), ifconfig(8), arp(8)

HISTORY
The arp command appeared in 4.3BSD. The extension was developed by Kevin Fall at LBNL for use with the ns simulator in emulation mode in 9/1998.